π¨βπ» Get Ethereum block by hash
Code samples
GET /api/v1/eth/block/hash/{blockHash}
curl 'https://settla.net/api/v1/eth/block/hash/0x64b665414720230df4845b01ff7b9a5c7a5c5ad89ef398eb82ecb8e8138a82a8' \
-H 'X-API-Key: $SETTLA_API_KEY' \
-H 'Accept: application/json'
Returns a block by its hash using eth_getBlockByHash.
π οΈ Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| blockHash | path | string | true | Ethereum block hash. |
Example responses
200 Response
{
"baseFeePerGas": "0x22d90ec",
"blobGasUsed": "0x60000",
"difficulty": "0x0",
"excessBlobGas": "0xa360d0a",
"extraData": "0x546974616e2028746974616e6275696c6465722e78797a29",
"gasLimit": "0x3938700",
"gasUsed": "0x37b7c5f",
"hash": "0x64b665414720230df4845b01ff7b9a5c7a5c5ad89ef398eb82ecb8e8138a82a8",
"logsBloom": "0xd9ffdefffdf83ffefc4ffa7bef7cfff77374aff7bfdd7bbc7ab99e9dfeb9e5ff3cdf75e5e7fdffd7f5f977ffdfbbafffefff7ff4fe3fedfddffaeff51fee7ddfffebbddefbdff8fbeffb6fabfff9fbbbfb727fb7bdff6dbf5f7cee5fffefdebaffec7d6e1effbf7f5ffffd737ecb3ffbfb7fe7faffedbf5d5eecefff77ffd635ff7fce79ffdcfb7ddf7f7fff9bffddfe8efbdfe1fff7fb8ff6ff53fabdb67df27f7e4f7bfefafab73efff3f2dffb95ef3fc5ce7d73abcfec77d9bb7fffbfd7fbff4fbfefffcefffb9e7dfeddcf7fff7ff75ff65fdf9ffcf33ffffdfb5bf3eeebbff7ff77b7ef79ff7b7bbff7fbff7ff7bdffff75ff7edceff25eff57fffdddff",
"miner": "0x4838b106fce9647bdf1e7877bf73ce8b0bad5f97",
"mixHash": "0x03eb8816e93a170412ddb10e829478e31b2a4f4ab430ce16a5eb1fa657fe5ee7",
"nonce": "0x0000000000000000",
"number": "0x18ae5c0",
"parentBeaconBlockRoot": "0xb4001eef49529137aea3f60b554a073bd8dbf83beec0ff3a5cc03fb1e1e9eea7",
"parentHash": "0x90890313316f725635e9903f00aa0b35dfecb9444e12e96996a23985cebccdaa",
"receiptsRoot": "0x4bbfa49444f93d2bab0b33b19be0471bc7d3dba3c6076b55098d30e1f62bb36d",
"requestsHash": "0xe3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855",
"sha3Uncles": "0x1dcc4de8dec75d7aab85b567b6ccd41ad312451b948a7413f0a142fd40d49347",
"size": "0x55347",
"stateRoot": "0xf3b48715b34d641042b4afbb4d9e8a1299ac15dba1d5454621aa034050608321",
"timestamp": "0x6a96526f",
"transactions": [
"0x086740aabf9d0749ce8fb7257b334631457e33c85b547b347c7cf3e6cabe1c65",
"0x034f561a3af0d2ea225dee1f9539fdb5c77769b85cecadf1bfda9bea8e178f01"
],
"transactionsRoot": "0x6bb4f0b80d1d92bd47fa99d5416d925a05d48c6efc92675e04e577956793a146",
"uncles": [],
"withdrawals": [
{
"index": "0x86f6eeb",
"validatorIndex": "0x18bc9a",
"address": "0x446ce9a96c48d5e65a10556b66bae4e1f7afb634",
"amount": "0xdb7d4e"
}
],
"withdrawalsRoot": "0xa6d13574daa8994ff8201a033ba7b9a8d500225afb6e81689eaf1c55a8438411"
}
π Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | Ethereum block | Inline |
| 500 | Internal Server Error | Could not connect to ETH node | None |
π Response Schema
Status Code 200
| Name | Type | Required | Restrictions | Description |
|---|---|---|---|---|
| » number | string¦null | false | none | Block number as hex QUANTITY, or null for pending blocks. |
| » hash | string¦null | false | none | Hash of the block, or null for pending blocks. |
| Β» parentHash | string | false | none | Hash of the parent block. |
| » nonce | string¦null | false | none | none |
| Β» sha3Uncles | string | false | none | none |
| » logsBloom | string¦null | false | none | none |
| Β» transactionsRoot | string | false | none | none |
| Β» stateRoot | string | false | none | none |
| Β» receiptsRoot | string | false | none | none |
| Β» miner | string | false | none | Address of the block proposer/miner. |
| Β» difficulty | string | false | none | none |
| Β» totalDifficulty | string | false | none | none |
| Β» extraData | string | false | none | none |
| Β» size | string | false | none | none |
| Β» gasLimit | string | false | none | none |
| Β» gasUsed | string | false | none | none |
| Β» timestamp | string | false | none | Block timestamp as hex QUANTITY. |
| » baseFeePerGas | string¦null | false | none | none |
| Β» transactions | array | false | none | Array of transaction hashes or transaction objects. |
| Β» uncles | [string] | false | none | none |